Bug 25772 - rpm internal assertion fails
rpm internal assertion fails
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-02 18:03 EST by Elliot Lee
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-03 08:09:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elliot Lee 2001-02-02 18:03:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.0-0.99.11 i686)


rpm: rpmio_internal.h:338: c2f: Assertion `fd &&fd->magic == 0x04463138'
failed.
Aborted


Reproducible: Didn't try
Steps to Reproduce:
1. cd /mnt/redhat/comps/dist/7.1/i386
2. rpm -Fvh *.rpm

	

Actual Results:  After installing about half the packages, that message
showed up.

Expected Results:  Completed package installations
Comment 1 Jeff Johnson 2001-02-02 18:10:07 EST
You can't use splats, as multiple occurences of identical packages will cause
weirdness
as seen.

Deffered until after 7.1.
Comment 2 Jeff Johnson 2001-07-11 10:40:52 EDT
Most, if not all, assertions are removed in rpm-4.0.3 header support.

Note You need to log in before you can comment on or make changes to this bug.